﻿@model EmailViewModel

@{
    ViewData["Title"] = "ListOpenEmails";
}

<h2></h2>
<table id="table_id" class="display">
    <thead class="alert-success">
        <tr>
            <th>ID</th>
            <th>Subject</th>
            <th>ReceivedOn</th>
            <th>Sender</th>
            <th>Status set by</th>
            <th>Status set before</th>
            <th>Details</th>
        </tr>
    </thead>
</table>

<!-- Modal -->
<div class="modal fade" id="myModalNorm" tabindex="-1" role="dialog"
     aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <!-- Modal Body -->
            <div class="modal-body"></div>
            <div class="modal-footer"></div>
        </div>
    </div>
</div>

@section Scripts

    {
    <link rel="stylesheet" type="text/css" href="~/lib/DataTables/datatables.css">
    <script type="text/javascript" language="javascript" src="~/lib/DataTables/datatables.js"></script>
    <script src="~/js/site.js"></script>
    <script type="text/javascript" class="init">

        var table = $('#table_id').DataTable({
            "ordering": false,
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": "@Url.Action("ListOpenEmails", "OpenEmails")",
                "type": 'POST',
                "dataType": "JSON",
            },

            "columns": [
                { "data": "Id" },
                { "data": "Subject" },
                { "data": "ReceivedOn"},
                { "data": "MerchantEmail" },
                { "data": "UserName" },
                { "data": "CurrentStatusTimeSpan" },
                {
                    "render": function (data, type, email, meta) {
                        return '<button class="details" data-toggle="modal" data-target="#myModalNorm" data-emailid="' + email.Id + '">See more</button>';
                   }
                }
            ]
        });

        $('#myModalNorm').on('shown.bs.modal', function (e) {
            console.log(e);
            var $modal = $(this);
            $body = $modal.find(".modal-body");
            var emailId = $(e.relatedTarget).data('emailid');
            var url = "/OpenEmails/Details/" + emailId;
            $.get(url)
                .done(function (responseData) {
                    $body.html(responseData);
                    $('#New').data('emailid', emailId);
                    $('#Approved').data('emailid', emailId);
                    $('#Rejected').data('emailid', emailId);
                })
        })

    </script>
}


